#!/usr/bin/python
import os

f = open ("index.theme")

sections = []
index_dirs = ''
for l in f:
    if l[:12] == "Directories=":
        index_dirs = l[12:-1]
    elif len(l) > 1 and l[0] == '[' and l[-2] == ']':
        sec = l[1:-2]
        if sec != "Icon Theme":
            sections.append(sec)
     
index_dirs = index_dirs.split(',')

real_dirs = []
for d in os.listdir("."):
    if d[0].isdigit():
        for sd in os.listdir (d):
            real_dirs.append (d + "/" + sd)

index_dirs_left = list(index_dirs)
for real in real_dirs:
    if not real in index_dirs:
        print "real directory %s not in Directories"%real
    else:
        index_dirs_left.remove(real)

for index in index_dirs_left:
    print "Directories lists %s, which doesn't exist"%index

index_dirs_left = list(index_dirs)
for section in sections:
    if not section in index_dirs:
        print "section %s not in Directories"%section
    else:
        index_dirs_left.remove(section)

for index in index_dirs_left:
    print "Directories lists %s, which has no section"%index
        
